CVE-2017-2520

HIGH

Description

An issue was discovered in certain Apple products. iOS before 10.3.2 is affected. macOS before 10.12.5 is affected. tvOS before 10.2.1 is affected. watchOS before 3.2.2 is affected. The issue involves the "SQLite" component. It allows remote attackers to execute arbitrary code or cause a denial of service (buffer overflow and application crash) via a crafted SQL statement.

References

http://www.securityfocus.com/bid/98468

http://www.securitytracker.com/id/1038484

https://lists.debian.org/debian-lts-announce/2019/01/msg00009.html

https://support.apple.com/HT207797

https://support.apple.com/HT207798

https://support.apple.com/HT207800

https://support.apple.com/HT207801

https://usn.ubuntu.com/4019-1/

Details

Source: MITRE

Published: 2017-05-22

Updated: 2019-10-03

Type: CWE-787

Risk Information

CVSS v2.0

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 3.9

Severity: CRITICAL

Tenable Plugins

View all (8 total)

IDNameProductFamilySeverity
126065Ubuntu 16.04 LTS / 18.04 LTS / 18.10 / 19.04 : SQLite vulnerabilities (USN-4019-1)NessusUbuntu Local Security Checks
high
121133Debian DLA-1633-1 : sqlite3 security updateNessusDebian Local Security Checks
high
700118Apple TV < 10.2.1 Multiple VulnerabilitiesNessus Network MonitorInternet Services
critical
100270macOS 10.12.x < 10.12.5 Multiple VulnerabilitiesNessusMacOS X Local Security Checks
high
100269Apple iOS < 10.3.2 Multiple VulnerabilitiesNessusMobile Devices
high
700119Mac OS X 10.x < 10.12.5 Multiple VulnerabilitiesNessus Network MonitorOperating System Detection
critical
700116Apple iOS < 10.3.2 Multiple VulnerabilitiesNessus Network MonitorMobile Devices
critical
100256Apple TV < 10.2.1 Multiple VulnerabilitiesNessusMisc.
high